Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dof
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dof	(revision 467)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dof	(revision 468)
@@ -91,12 +91,12 @@
 ExeDescription=
 [Directories]
-OutputDir=P:\Vista\CPRS-1.0.26.76
-UnitOutputDir=P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu
+OutputDir=P:\Vista\tmg-cprs
+UnitOutputDir=P:\Vista\tmg-cprs\CPRS-Chart\dcu
 PackageDLLOutputDir=
 PackageDCPOutputDir=
-SearchPath=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU;P:\Vista\CPRS-1.0.26.76\Packages;P:\Vista\CPRS-1.0.26.76\CPRS-Lib;P:\Vista\CPRS-1.0.26.76\dklang-package-3.01;P:\Vista\CPRS-1.0.26.76\TntWare\Delphi Unicode Controls\Source;P:\Vista\CPRS-1.0.26.76\TPNGGraphics
+SearchPath=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics
 Packages=vcl;rtl;vclx;VclSmp;vclshlctrls;dbrtl;adortl;vcldb;qrpt;bdertl;vcldbx;dsnap;cds;bdecds;teeui;teedb;tee;teeqr;ibxpress;visualclx;visualdbclx;vclie;xmlrtl;inet;inetdbbde;inetdbxpress;inetdb;nmfast;dbexpress;dbxcds;indy;dclOffice2k;soaprtl;XWB_R60
 Conditionals=MSWINDOWS
-DebugSourceDirs=P:\Vista\CPRS-1.0.26.76\dklang-package-3.01\
+DebugSourceDirs=P:\Vista\tmg-cprs\dklang-package-3.01\
 UsePackages=0
 [Parameters]
@@ -116,5 +116,5 @@
 MinorVer=0
 Release=26
-Build=76
+Build=69
 Debug=0
 PreRelease=0
@@ -127,6 +127,6 @@
 CompanyName=Department of Veterans Affairs
 FileDescription=1/21/2006
-FileVersion=1.0.26.76
-InternalName=1.0.26.76 server required
+FileVersion=1.0.26.69
+InternalName=1.0.26.69 server required
 LegalCopyright=Unauthorized access or misuse of this system and/or its data is a federal crime. Use of all data shall be in accordance with VA policy on security and privacy.
 LegalTrademarks=
@@ -134,5 +134,5 @@
 ProductName=Computerized Patient Record System
 ProductVersion=1.0.0.0
-Comments=Version 1.0.26.76
+Comments=Version 1.0.26.69
 [HistoryLists\hlConditionals]
 Count=1
@@ -143,11 +143,11 @@
 [HistoryLists\hlSearchPath]
 Count=14
-Item0=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU;P:\Vista\CPRS-1.0.26.76\Packages;P:\Vista\CPRS-1.0.26.76\CPRS-Lib;P:\Vista\CPRS-1.0.26.76\dklang-package-3.01;P:\Vista\CPRS-1.0.26.76\TntWare\Delphi Unicode Controls\Source;P:\Vista\CPRS-1.0.26.76\TPNGGraphics
-Item1=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU;P:\Vista\CPRS-1.0.26.76\Packages;P:\Vista\CPRS-1.0.26.76\CPRS-Lib;P:\Vista\CPRS-1.0.26.76\dklang-package-3.01;P:\Vista\CPRS-1.0.26.76\TntWare\Delphi Unicode Controls\Source
-Item2=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU;P:\Vista\CPRS-1.0.26.76\Packages;P:\Vista\CPRS-1.0.26.76\CPRS-Lib;P:\Vista\CPRS-1.0.26.76\dklang-package-3.01
-Item3=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU;P:\Vista\CPRS-1.0.26.76\Packages;P:\Vista\CPRS-1.0.26.76\CPRS-Lib
-Item4=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU;P:\Vista\CPRS-1.0.26.76\Packages
-Item5=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu;P:\Vista\CPRS-1.0.26.76\CPRS-Lib\DCU
-Item6=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\CPRS-1.0.26.76\CPRS-Chart;P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu
+Item0=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics
+Item1=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source
+Item2=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01
+Item3=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib
+Item4=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages
+Item5=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU
+Item6=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu
 Item7=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI
 Item8=$(DELPHI)\Lib\Debug;C:\Program Files\Borland\Delphi7\Source\Rtl\Sys;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI
@@ -159,10 +159,10 @@
 [HistoryLists\hlUnitOutputDirectory]
 Count=3
-Item0=P:\Vista\CPRS-1.0.26.76\CPRS-Chart\dcu
+Item0=P:\Vista\tmg-cprs\CPRS-Chart\dcu
 Item1=C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU
 Item2=C:\Vista\cprs\OR_3_215V26_69\CPRS-Chart\DCU
 [HistoryLists\hlOutputDirectorry]
 Count=3
-Item0=P:\Vista\CPRS-1.0.26.76
+Item0=P:\Vista\tmg-cprs
 Item1=C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart
 Item2=C:\Vista\cprs\OR_3_215V26_69\CPRS-Chart