Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk	(revision 453)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk	(revision 471)
@@ -1,40 +1,40 @@
 [Modules]
-Module0=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas
-Module1=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas
-Module2=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas
-Module3=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas
-Module4=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas
-Module5=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas
-Module6=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas
-Module7=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas
-Module8=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas
-Module9=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module10=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas
-Module11=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas
-Module12=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas
-Module13=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas
-Module14=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas
-Module15=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr
-Module16=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas
-Module17=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module18=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\uODBase.pas
-Module19=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\rOrders.pas
-Module20=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODBase.pas
-Module21=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module22=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODAllgy.pas
-Module23=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module24=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fSplash.pas
-Module25=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORFn.pas
-Module26=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\VERGENCECONTEXTORLib_TLB.pas
-Module27=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module28=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module29=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
-Module30=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module31=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uFormMonitor.pas
-Module32=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
-Module33=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORSystem.pas
-Module34=P:\Vista\CPRS-1.0.26.69\dklang-package-3.01\DKLang.pas
-Module35=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-Module36=c:\program files\borland\delphi7\source\vcl\Menus.pas
+Module0=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module1=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas
+Module2=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas
+Module3=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas
+Module4=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas
+Module5=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas
+Module6=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas
+Module7=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas
+Module8=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas
+Module9=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas
+Module10=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas
+Module11=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas
+Module12=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas
+Module13=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas
+Module14=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr
+Module15=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas
+Module16=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module17=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\uODBase.pas
+Module18=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\rOrders.pas
+Module19=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODBase.pas
+Module20=c:\program files\borland\delphi7\source\vcl\Forms.pas
+Module21=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODAllgy.pas
+Module22=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module23=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fSplash.pas
+Module24=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORFn.pas
+Module25=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\VERGENCECONTEXTORLib_TLB.pas
+Module26=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+Module27=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+Module28=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
+Module29=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+Module30=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uFormMonitor.pas
+Module31=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
+Module32=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORSystem.pas
+Module33=P:\Vista\CPRS-1.0.26.69\dklang-package-3.01\DKLang.pas
+Module34=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+Module35=c:\program files\borland\delphi7\source\vcl\Menus.pas
+Module36=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas
 Module37=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rCover.pas
 Module38=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fProbs.pas
@@ -44,50 +44,45 @@
 TypeLibWindowCount=1
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas]
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=0
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas]
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=1
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas]
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=1
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas]
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=1
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas]
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=1
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas]
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas]
 ModuleType=SourceModule
 FormState=0
@@ -229,4 +224,9 @@
 FormOnTop=0
 
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rCover.pas]
 ModuleType=SourceModule
@@ -252,9 +252,9 @@
 FormOnTop=0
 
+[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fHSplit.pas]
+FormState=0
+FormOnTop=0
+
 [P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fAutoSz.pas]
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fHSplit.pas]
 FormState=0
 FormOnTop=0
@@ -262,5 +262,5 @@
 [EditWindow0]
 ViewCount=40
-CurrentView=7
+CurrentView=20
 View0=0
 View1=1
@@ -322,5 +322,5 @@
 BottomPanelSize=204
 BottomPanelClients=WatchWindow,MessageView@EditWindow0
-BottomPanelData=0000040000000000CC000000000000000114030000000000000100000002CC00000000000000020000000000000000000000000200000000140300000000000002000000001403000000000000020000000014030000000000000200000000140300000000000002000000001403000000000000020000000014030000000000000200000000980000000000000002000000008A01000000000000020000000114030000000000000300000000660000000B000000576174636857696E646F770300000000CC0000000B0000004D657373616765566965770300000000CC000000000000000100000000CC00000000000000FFFFFFFF
+BottomPanelData=00000400010000000B0000004D65737361676556696577CC000000000000000114030000000000000100000002CC00000000000000020000000000000000000000000200000000140300000000000002000000001403000000000000020000000014030000000000000200000000140300000000000002000000001403000000000000020000000014030000000000000200000000980000000000000002000000008A01000000000000020000000114030000000000000300000000CC0000000B000000576174636857696E646F770300000000CC0000000B0000004D657373616765566965770300000000CC000000000000000100000000CC00000000000000FFFFFFFF
 
 [View0]
@@ -637,10 +637,10 @@
 Top=0
 Width=776
-Height=98
+Height=204
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=776
-ClientHeight=98
-TBDockHeight=98
+ClientHeight=204
+TBDockHeight=204
 LRDockWidth=426
 Dockable=1
@@ -961,5 +961,5 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=12