Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk	(revision 471)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk	(revision 472)
@@ -1,244 +1,46 @@
+[Closed Files]
+File_0=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas',0,1,348,1,359,0,0
+File_1=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas',0,1,219,36,232,0,0
+File_2=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas',0,1,47,10,52,0,0
+File_3=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas',0,1,1,52,82,0,0
+File_4=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas',0,1,2170,1,2178,0,0
+File_5=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas',0,1,500,34,503,1,0
+File_6=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr',0,1,285,1,351,0,0
+File_7=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas',0,1,1,1,88,0,0
+File_8=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\system.pas',0,1,12601,1,12613,0,0
+File_9=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\uODBase.pas',0,1,37,1,52,0,0
+
 [Modules]
-Module0=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module1=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas
-Module2=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas
-Module3=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas
-Module4=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas
-Module5=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas
-Module6=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas
-Module7=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas
-Module8=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas
-Module9=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas
-Module10=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas
-Module11=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas
-Module12=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas
-Module13=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas
-Module14=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr
-Module15=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas
-Module16=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module17=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\uODBase.pas
-Module18=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\rOrders.pas
-Module19=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODBase.pas
-Module20=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module21=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODAllgy.pas
-Module22=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module23=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fSplash.pas
-Module24=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORFn.pas
-Module25=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\VERGENCECONTEXTORLib_TLB.pas
-Module26=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module27=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module28=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
-Module29=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module30=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uFormMonitor.pas
-Module31=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
-Module32=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORSystem.pas
-Module33=P:\Vista\CPRS-1.0.26.69\dklang-package-3.01\DKLang.pas
-Module34=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-Module35=c:\program files\borland\delphi7\source\vcl\Menus.pas
-Module36=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas
-Module37=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rCover.pas
-Module38=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fProbs.pas
-Module39=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uReminders.pas
-Count=40
+Module0=P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas
+Module1=P:\Vista\tmg-cprs\CPRS-Chart\fImages.pas
+Module2=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module3=P:\Vista\tmg-cprs\CPRS-Chart\uConst.pas
+Module4=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=5
 EditWindowCount=1
 TypeLibWindowCount=1
 
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas]
+[P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=0
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas]
+[P:\Vista\tmg-cprs\CPRS-Chart\fImages.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas]
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas]
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\uConst.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas]
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\uODBase.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\rOrders.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODBase.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Forms.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODAllgy.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Controls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORFn.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\VERGENCECONTEXTORLib_TLB.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uFormMonitor.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORSystem.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\dklang-package-3.01\DKLang.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Menus.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rCover.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fProbs.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uReminders.pas]
-ModuleType=SourceModule
 FormState=0
 FormOnTop=0
@@ -248,19 +50,23 @@
 FormOnTop=0
 
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.tlb]
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fHSplit.pas]
-FormState=0
-FormOnTop=0
-
-[P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fAutoSz.pas]
+[P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.tlb]
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
 FormState=0
 FormOnTop=0
 
 [EditWindow0]
-ViewCount=40
-CurrentView=20
+ViewCount=5
+CurrentView=3
 View0=0
 View1=1
@@ -268,39 +74,4 @@
 View3=3
 View4=4
-View5=5
-View6=6
-View7=7
-View8=8
-View9=9
-View10=10
-View11=11
-View12=12
-View13=13
-View14=14
-View15=15
-View16=16
-View17=17
-View18=18
-View19=19
-View20=20
-View21=21
-View22=22
-View23=23
-View24=24
-View25=25
-View26=26
-View27=27
-View28=28
-View29=29
-View30=30
-View31=31
-View32=32
-View33=33
-View34=34
-View35=35
-View36=36
-View37=37
-View38=38
-View39=39
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -308,300 +79,55 @@
 Visible=1
 State=0
-Left=235
-Top=120
-Width=796
+Left=195
+Top=125
+Width=813
 Height=583
-MaxLeft=15
-MaxTop=122
-ClientWidth=788
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=805
 ClientHeight=549
 LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
+LeftPanelData=00000400010000000C000000436F64654578706C6F72657200000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=204
-BottomPanelClients=WatchWindow,MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D65737361676556696577CC000000000000000114030000000000000100000002CC00000000000000020000000000000000000000000200000000140300000000000002000000001403000000000000020000000014030000000000000200000000140300000000000002000000001403000000000000020000000014030000000000000200000000980000000000000002000000008A01000000000000020000000114030000000000000300000000CC0000000B000000576174636857696E646F770300000000CC0000000B0000004D657373616765566965770300000000CC000000000000000100000000CC00000000000000FFFFFFFF
+BottomPanelSize=0
+BottomPanelClients=MessageView@EditWindow0
+BottomPanelData=00000400010000000B0000004D6573736167655669657700000000000000000000000000000000000100000000000000000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas
-CursorX=1
-CursorY=467
-TopLine=459
-LeftCol=1
-
-[View1]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fCover.pas
-CursorX=1
-CursorY=547
-TopLine=539
-LeftCol=1
-
-[View2]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uReminders.pas
-CursorX=1
-CursorY=1131
-TopLine=1120
-LeftCol=1
-
-[View3]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fProbs.pas
-CursorX=25
-CursorY=1134
+Module=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+CursorX=20
+CursorY=7
 TopLine=1
 LeftCol=1
 
-[View4]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rCover.pas
-CursorX=27
-CursorY=437
-TopLine=1
+[View1]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\uConst.pas
+CursorX=16
+CursorY=407
+TopLine=398
 LeftCol=1
 
-[View5]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPage.pas
-CursorX=18
-CursorY=36
-TopLine=28
-LeftCol=1
-
-[View6]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fNotes.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View7]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\rReports.pas
-CursorX=36
-CursorY=679
-TopLine=671
-LeftCol=1
-
-[View8]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas
+[View2]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
 CursorX=1
 CursorY=4826
-TopLine=4818
+TopLine=4812
 LeftCol=1
 
-[View9]
-Module=c:\program files\borland\delphi7\source\vcl\Menus.pas
-CursorX=1
-CursorY=2543
-TopLine=2533
+[View3]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas
+CursorX=9
+CursorY=77
+TopLine=55
 LeftCol=1
 
-[View10]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Options\fOptions.pas
-CursorX=1
-CursorY=861
-TopLine=856
+[View4]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\fImages.pas
+CursorX=19
+CursorY=845
+TopLine=831
 LeftCol=1
 
-[View11]
-Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-CursorX=1
-CursorY=4448
-TopLine=4440
-LeftCol=1
-
-[View12]
-Module=P:\Vista\CPRS-1.0.26.69\dklang-package-3.01\DKLang.pas
-CursorX=1
-CursorY=840
-TopLine=832
-LeftCol=1
-
-[View13]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORSystem.pas
-CursorX=1
-CursorY=335
-TopLine=327
-LeftCol=1
-
-[View14]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
-CursorX=1
-CursorY=1059
-TopLine=1051
-LeftCol=1
-
-[View15]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uFormMonitor.pas
-CursorX=1
-CursorY=359
-TopLine=351
-LeftCol=1
-
-[View16]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=1479
-TopLine=1471
-LeftCol=1
-
-[View17]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
-CursorX=48
-CursorY=505
-TopLine=497
-LeftCol=1
-
-[View18]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fImages.pas
-CursorX=1
-CursorY=1
-TopLine=100
-LeftCol=1
-
-[View19]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-CursorX=1
-CursorY=4343
-TopLine=4331
-LeftCol=1
-
-[View20]
-Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-CursorX=1
-CursorY=5984
-TopLine=5976
-LeftCol=1
-
-[View21]
-Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-CursorX=1
-CursorY=12375
-TopLine=12366
-LeftCol=1
-
-[View22]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\VERGENCECONTEXTORLib_TLB.pas
-CursorX=1
-CursorY=1145
-TopLine=1137
-LeftCol=1
-
-[View23]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORFn.pas
-CursorX=1
-CursorY=916
-TopLine=929
-LeftCol=1
-
-[View24]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fSplash.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View25]
-Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
-CursorX=1
-CursorY=6245
-TopLine=6231
-LeftCol=1
-
-[View26]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODAllgy.pas
-CursorX=1
-CursorY=159
-TopLine=151
-LeftCol=1
-
-[View27]
-Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
-CursorX=1
-CursorY=6956
-TopLine=6943
-LeftCol=1
-
-[View28]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODBase.pas
-CursorX=23
-CursorY=1268
-TopLine=1258
-LeftCol=1
-
-[View29]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\rOrders.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View30]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\uODBase.pas
-CursorX=1
-CursorY=52
-TopLine=37
-LeftCol=1
-
-[View31]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-CursorX=1
-CursorY=12613
-TopLine=12601
-LeftCol=1
-
-[View32]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas
-CursorX=1
-CursorY=88
-TopLine=1
-LeftCol=1
-
-[View33]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr
-CursorX=1
-CursorY=351
-TopLine=285
-LeftCol=1
-
-[View34]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas
-CursorX=34
-CursorY=503
-TopLine=500
-LeftCol=1
-
-[View35]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas
-CursorX=1
-CursorY=2178
-TopLine=2170
-LeftCol=1
-
-[View36]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas
-CursorX=52
-CursorY=82
-TopLine=1
-LeftCol=1
-
-[View37]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas
-CursorX=10
-CursorY=52
-TopLine=47
-LeftCol=1
-
-[View38]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas
-CursorX=36
-CursorY=232
-TopLine=219
-LeftCol=1
-
-[View39]
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas
-CursorX=1
-CursorY=359
-TopLine=348
-LeftCol=1
-
 [TypeLibEditWindow0]
 Create=1
@@ -609,5 +135,5 @@
 State=0
 Left=200
-Top=114
+Top=123
 Width=639
 Height=453
@@ -616,15 +142,10 @@
 ClientWidth=631
 ClientHeight=419
-Module=P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.tlb
+Module=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.tlb
 
 [Watches]
-Count=7
-Watch0='tabPage.Tabs.Strings[index]',256,0,18,1,0,'Watches'
-Watch1='Patient',256,0,18,1,0,'Watches'
-Watch2='Msg.message',256,0,18,1,0,'Watches'
-Watch3='URL',256,0,18,1,0,'Watches'
-Watch4='Name',256,0,18,1,0,'Watches'
-Watch5='AMsg',256,0,18,1,0,'Watches'
-Watch6='TC_DGSR_SHOW',256,0,18,1,0,'Watches'
+Count=2
+Watch0='frmPtSel',256,0,18,1,0,'Watches'
+Watch1='FName',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -634,8 +155,8 @@
 Visible=1
 State=0
-Left=12
-Top=0
-Width=776
-Height=204
+Left=83
+Top=518
+Width=784
+Height=230
 MaxLeft=-1
 MaxTop=-1
@@ -647,5 +168,5 @@
 
 [Breakpoints]
-Count=13
+Count=14
 Breakpoint0='C:\Program Files\VISTA\BDK32\Source\fPtAdd.pas',467,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas',4826,'',0,1,'',1,0,0,'',1,'','',''
@@ -661,4 +182,5 @@
 Breakpoint11='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas',510,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint12='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas',501,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint13='P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas',285,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -950,9 +472,9 @@
 Top=12
 Width=140
-Height=547
+Height=537
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=140
-ClientHeight=547
+ClientHeight=537
 TBDockHeight=305
 LRDockWidth=140
@@ -964,13 +486,13 @@
 State=0
 Left=12
-Top=102
-Width=776
-Height=102
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=776
-ClientHeight=102
-TBDockHeight=102
-LRDockWidth=209
+Top=0
+Width=793
+Height=213
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=793
+ClientHeight=213
+TBDockHeight=213
+LRDockWidth=443
 Dockable=1
 