Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 472)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 473)
@@ -12,59 +12,47 @@
 
 [Modules]
-Module0=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module1=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module2=P:\Vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas
-Module3=P:\Vista\tmg-cprs\CPRS-Chart\fCover.pas
-Module4=P:\Vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas
-Module5=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module6=P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas
-Module7=P:\Vista\tmg-cprs\CPRS-Chart\fImages.pas
-Module8=P:\Vista\tmg-cprs\CPRS-Chart\uConst.pas
-Module9=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=10
+Module0=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+Module1=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+Module2=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+Module3=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module4=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module5=P:\Vista\killthis.txt
+Module6=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module7=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=8
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Controls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
 ModuleType=SourceModule
 FormState=1
-FormOnTop=1
-
-[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\fCover.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\fImages.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\uConst.pas]
+FormOnTop=0
+
+[P:\Vista\killthis.txt]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
 ModuleType=SourceModule
 FormState=0
@@ -84,14 +72,6 @@
 FormOnTop=0
 
-[P:\Vista\tmg-cprs\CPRS-Chart\fPage.pas]
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
-FormState=0
-FormOnTop=0
-
 [EditWindow0]
-ViewCount=10
+ViewCount=8
 CurrentView=2
 View0=0
@@ -103,6 +83,4 @@
 View6=6
 View7=7
-View8=8
-View9=9
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -110,12 +88,12 @@
 Visible=1
 State=0
-Left=195
-Top=125
-Width=813
-Height=583
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=805
-ClientHeight=549
+Left=213
+Top=128
+Width=777
+Height=588
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=769
+ClientHeight=554
 LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
@@ -124,29 +102,8 @@
 BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D65737361676556696577000000000000000000000000000000000001000000000000000000000000FFFFFFFF
+BottomPanelData=00000400010000000B0000004D657373616765566965770103000000000000025500000000000000010000000000000000000000000100000000010300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-CursorX=20
-CursorY=7
-TopLine=1
-LeftCol=1
-
-[View1]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\uConst.pas
-CursorX=16
-CursorY=407
-TopLine=398
-LeftCol=1
-
-[View2]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=1
-CursorY=3695
-TopLine=3672
-LeftCol=1
-
-[View3]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas
 CursorX=1
 CursorY=1
@@ -154,44 +111,51 @@
 LeftCol=1
 
+[View1]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+CursorX=13
+CursorY=3755
+TopLine=3745
+LeftCol=1
+
+[View2]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+CursorX=1
+CursorY=301
+TopLine=287
+LeftCol=1
+
+[View3]
+Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+CursorX=1
+CursorY=2785
+TopLine=2771
+LeftCol=1
+
 [View4]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-CursorX=1
-CursorY=4343
-TopLine=4317
+Module=P:\Vista\killthis.txt
+CursorX=1
+CursorY=157
+TopLine=135
 LeftCol=1
 
 [View5]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\fCover.pas
-CursorX=1
-CursorY=654
-TopLine=640
+Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+CursorX=1
+CursorY=4460
+TopLine=4436
 LeftCol=1
 
 [View6]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas
-CursorX=19
-CursorY=59
-TopLine=55
+Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
+CursorX=1
+CursorY=6161
+TopLine=6145
 LeftCol=1
 
 [View7]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=1479
-TopLine=1465
-LeftCol=1
-
-[View8]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas
-CursorX=1
-CursorY=1458
-TopLine=1444
-LeftCol=1
-
-[View9]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\fImages.pas
-CursorX=19
-CursorY=845
-TopLine=831
+Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+CursorX=1
+CursorY=2825
+TopLine=2817
 LeftCol=1
 
@@ -201,5 +165,5 @@
 State=0
 Left=200
-Top=123
+Top=115
 Width=639
 Height=453
@@ -211,7 +175,11 @@
 
 [Watches]
-Count=2
-Watch0='frmPtSel',256,0,18,1,0,'Watches'
-Watch1='FName',256,0,18,1,0,'Watches'
+Count=6
+Watch0='Control',256,0,18,1,0,'Watches'
+Watch1='TabIndex',256,0,18,1,0,'Watches'
+Watch2='FCount',256,0,18,1,0,'Watches'
+Watch3='pageControl',16,0,18,1,0,'Watches'
+Watch4='ALabel',256,0,18,1,0,'Watches'
+Watch5='colorIndex',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -219,28 +187,20 @@
 WatchShowColumnHeaders=1
 Create=1
-Visible=1
-State=0
-Left=83
-Top=518
-Width=784
-Height=230
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=776
-ClientHeight=204
-TBDockHeight=204
-LRDockWidth=426
+Visible=0
+State=0
+Left=26
+Top=330
+Width=885
+Height=260
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=877
+ClientHeight=234
+TBDockHeight=234
+LRDockWidth=421
 Dockable=1
 
 [Breakpoints]
-Count=8
-Breakpoint0='C:\Program Files\VISTA\BDK32\Source\fPtAdd.pas',467,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint1='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas',4826,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint2='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fPtAdd.pas',164,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint3='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\Orders\fODBase.pas',1270,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint4='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fFrame.pas',1098,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint5='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas',510,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas',501,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\Vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas',285,'',0,1,'',1,0,0,'',1,'','',''
+Count=0
 
 [AddressBreakpoints]
@@ -252,10 +212,10 @@
 State=0
 Left=0
-Top=9
-Width=1024
+Top=1
+Width=981
 Height=112
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=1016
+ClientWidth=973
 ClientHeight=78
 
@@ -264,21 +224,21 @@
 Visible=0
 State=0
-Left=213
-Top=185
-Width=587
-Height=462
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=579
-ClientHeight=436
-TBDockHeight=489
-LRDockWidth=719
+Left=198
+Top=142
+Width=689
+Height=561
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=681
+ClientHeight=535
+TBDockHeight=408
+LRDockWidth=623
 Dockable=1
 
 [Components]
-Left=240
-Top=237
+Left=308
+Top=167
 Width=183
-Height=235
+Height=266
 Create=1
 Visible=0
@@ -287,5 +247,5 @@
 MaxTop=-1
 ClientWidth=175
-ClientHeight=209
+ClientHeight=240
 TBDockHeight=235
 LRDockWidth=183
@@ -296,16 +256,16 @@
 Visible=0
 State=0
-Left=177
-Top=142
+Left=0
+Top=12
 Width=800
-Height=565
+Height=561
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=792
-ClientHeight=531
-DumpPane=79
-DisassemblyPane=264
+ClientHeight=527
+DumpPane=87
+DisassemblyPane=187
 RegisterPane=231
-FlagPane=104
+FlagPane=64
 
 [AlignmentPalette]
@@ -313,6 +273,6 @@
 Visible=0
 State=0
-Left=200
-Top=114
+Left=53
+Top=123
 Width=156
 Height=84
@@ -326,20 +286,20 @@
 Visible=1
 State=0
-Left=2
-Top=124
-Width=194
-Height=591
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=186
-ClientHeight=565
-TBDockHeight=553
-LRDockWidth=209
-Dockable=1
-SplitPos=101
+Left=0
+Top=0
+Width=242
+Height=484
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=242
+ClientHeight=484
+TBDockHeight=527
+LRDockWidth=250
+Dockable=1
+SplitPos=128
 ArrangeBy=Name
-SelectedItem=TabPosition
+SelectedItem=OnChange
 ExpandedItems=Anchors
-HiddenCategories=
+HiddenCategories=Legacy
 
 [BreakpointWindow]
@@ -347,12 +307,12 @@
 Visible=0
 State=0
-Left=143
-Top=285
+Left=31
+Top=201
 Width=737
-Height=370
+Height=350
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=729
-ClientHeight=344
+ClientHeight=324
 TBDockHeight=197
 LRDockWidth=737
@@ -367,16 +327,16 @@
 [CallStackWindow]
 Create=1
-Visible=0
-State=0
-Left=32
-Top=435
-Width=469
-Height=294
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=461
-ClientHeight=268
-TBDockHeight=294
-LRDockWidth=469
+Visible=1
+State=0
+Left=42
+Top=403
+Width=874
+Height=210
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=866
+ClientHeight=184
+TBDockHeight=355
+LRDockWidth=233
 Dockable=1
 
@@ -403,16 +363,16 @@
 [ObjectTree]
 Create=1
-Visible=0
-State=0
-Left=173
-Top=21
-Width=318
-Height=379
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=310
-ClientHeight=353
-TBDockHeight=553
-LRDockWidth=190
+Visible=1
+State=0
+Left=0
+Top=0
+Width=242
+Height=484
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=242
+ClientHeight=484
+TBDockHeight=527
+LRDockWidth=250
 Dockable=1
 
@@ -477,6 +437,6 @@
 Visible=0
 State=0
-Left=306
-Top=280
+Left=310
+Top=284
 Width=457
 Height=250
@@ -532,9 +492,9 @@
 Top=12
 Width=140
-Height=537
+Height=351
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=140
-ClientHeight=537
+ClientHeight=351
 TBDockHeight=305
 LRDockWidth=140
@@ -547,15 +507,35 @@
 Left=12
 Top=0
-Width=793
-Height=213
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=793
-ClientHeight=213
-TBDockHeight=213
+Width=757
+Height=85
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=757
+ClientHeight=85
+TBDockHeight=85
 LRDockWidth=443
 Dockable=1
 
 [DockHosts]
-DockHostCount=0
-
+DockHostCount=1
+
+[DockSite0]
+DockSiteType=1
+Create=1
+Visible=1
+State=0
+Left=8
+Top=128
+Width=258
+Height=539
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=250
+ClientHeight=513
+TBDockHeight=539
+LRDockWidth=258
+Dockable=1
+TabPosition=0
+ActiveTab=Object Inspector
+TabDockClients=PropertyInspector,ObjectTree
+