Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 476)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 479)
@@ -9,24 +9,40 @@
 
 [Modules]
-Module0=c:\program files\borland\delphi7\projects\vista\cprs-1.0.23.15\broker\source\RpcbErr.pas
-Module1=P:\Vista\GUI-config\GUI_Config.dpr
-Module2=P:\Vista\GUI-config\frmSplash.pas
-Module3=P:\Vista\GUI-config\BatchAddU.pas
-Module4=P:\Vista\GUI-config\SkinFormU.pas
-Module5=P:\Vista\GUI-config\SubfilesU.pas
-Module6=P:\Vista\GUI-config\MainU.pas
-Count=7
+Module0=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
+Module1=C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
+Module2=P:\Vista\GUI-config\MainU.pas
+Module3=P:\Vista\GUI-config\SubfilesU.pas
+Module4=P:\Vista\GUI-config\BatchAddU.pas
+Module5=P:\Vista\GUI-config\frmSplash.pas
+Module6=P:\vista\GUI-config\GUI_Config.dpr
+Module7=P:\Vista\GUI-config\SkinFormU.pas
+Count=8
 EditWindowCount=1
 
-[c:\program files\borland\delphi7\projects\vista\cprs-1.0.23.15\broker\source\RpcbErr.pas]
+[c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
 ModuleType=SourceModule
 FormState=0
 FormOnTop=0
 
-[P:\Vista\GUI-config\GUI_Config.dpr]
+[C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas]
 ModuleType=SourceModule
 FormState=0
 FormOnTop=0
 
+[P:\Vista\GUI-config\MainU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\SubfilesU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\BatchAddU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
 [P:\Vista\GUI-config\frmSplash.pas]
 ModuleType=SourceModule
@@ -34,7 +50,7 @@
 FormOnTop=0
 
-[P:\Vista\GUI-config\BatchAddU.pas]
-ModuleType=SourceModule
-FormState=1
+[P:\vista\GUI-config\GUI_Config.dpr]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
@@ -44,21 +60,11 @@
 FormOnTop=0
 
-[P:\Vista\GUI-config\SubfilesU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\MainU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
+[P:\vista\tmg-cprs\CPRS-Chart\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
 
 [EditWindow0]
-ViewCount=7
-CurrentView=0
+ViewCount=8
+CurrentView=2
 View0=0
 View1=1
@@ -68,4 +74,5 @@
 View5=5
 View6=6
+View7=7
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -85,16 +92,9 @@
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572C600000000000000027F01000000000000010000000000000000000000000100000000C600000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=246
+BottomPanelSize=272
 BottomPanelClients=WatchWindow,MessageView@EditWindow0
-BottomPanelData=00000400010000000B000000576174636857696E646F77FD0200000000000002F60000000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E0100000B000000576174636857696E646F770100000000FD0200000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B000000576174636857696E646F77FD0200000000000002100100000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E010000000000000100000000FD0200000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
-Module=c:\program files\borland\delphi7\projects\vista\cprs-1.0.23.15\broker\source\RpcbErr.pas
-CursorX=1
-CursorY=184
-TopLine=176
-LeftCol=1
-
-[View1]
 Module=P:\Vista\GUI-config\MainU.pas
 CursorX=39
@@ -103,5 +103,19 @@
 LeftCol=1
 
+[View1]
+Module=C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
+CursorX=11
+CursorY=1117
+TopLine=1111
+LeftCol=1
+
 [View2]
+Module=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
+CursorX=12
+CursorY=92
+TopLine=86
+LeftCol=1
+
+[View3]
 Module=P:\Vista\GUI-config\SubfilesU.pas
 CursorX=5
@@ -110,5 +124,5 @@
 LeftCol=1
 
-[View3]
+[View4]
 Module=P:\Vista\GUI-config\SkinFormU.pas
 CursorX=21
@@ -117,6 +131,6 @@
 LeftCol=1
 
-[View4]
-Module=P:\Vista\GUI-config\GUI_Config.dpr
+[View5]
+Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
 CursorY=66
@@ -124,5 +138,5 @@
 LeftCol=1
 
-[View5]
+[View6]
 Module=P:\Vista\GUI-config\frmSplash.pas
 CursorX=20
@@ -131,5 +145,5 @@
 LeftCol=1
 
-[View6]
+[View7]
 Module=P:\Vista\GUI-config\BatchAddU.pas
 CursorX=1
@@ -260,5 +274,5 @@
 SplitPos=114
 ArrangeBy=Name
-SelectedItem=OnClick
+SelectedItem=Caption
 ExpandedItems=Anchors,Options
 HiddenCategories=Legacy