Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 479)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 482)
@@ -9,15 +9,56 @@
 
 [Modules]
-Module0=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
-Module1=C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
-Module2=P:\Vista\GUI-config\MainU.pas
-Module3=P:\Vista\GUI-config\SubfilesU.pas
-Module4=P:\Vista\GUI-config\BatchAddU.pas
-Module5=P:\Vista\GUI-config\frmSplash.pas
-Module6=P:\vista\GUI-config\GUI_Config.dpr
-Module7=P:\Vista\GUI-config\SkinFormU.pas
-Count=8
+Module0=P:\Vista\GUI-config\MainU.pas
+Module1=P:\Vista\GUI-config\GUI_Config.dpr
+Module2=P:\Vista\GUI-config\SkinFormU.pas
+Module3=P:\Vista\GUI-config\LookupU.pas
+Module4=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
+Module5=P:\Vista\GUI-config\BatchAddU.pas
+Module6=P:\Vista\GUI-config\SubfilesU.pas
+Module7=P:\Vista\GUI-config\frmSplash.pas
+Module8=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
+Count=9
 EditWindowCount=1
 
+[P:\Vista\GUI-config\MainU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\GUI_Config.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\GUI-config\SkinFormU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\LookupU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\GUI-config\BatchAddU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\SubfilesU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\frmSplash.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
 ModuleType=SourceModule
@@ -25,46 +66,11 @@
 FormOnTop=0
 
-[C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas]
-ModuleType=SourceModule
+[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
 
-[P:\Vista\GUI-config\MainU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\SubfilesU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\BatchAddU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\frmSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\GUI_Config.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\GUI-config\SkinFormU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\ProjectGroup1.bpg]
-FormState=0
-FormOnTop=0
-
 [EditWindow0]
-ViewCount=8
-CurrentView=2
+ViewCount=9
+CurrentView=0
 View0=0
 View1=1
@@ -75,4 +81,5 @@
 View6=6
 View7=7
+View8=8
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -80,11 +87,11 @@
 Visible=1
 State=0
-Left=243
+Left=240
 Top=118
-Width=773
+Width=776
 Height=614
 MaxLeft=-4
 MaxTop=109
-ClientWidth=765
+ClientWidth=768
 ClientHeight=580
 LeftPanelSize=0
@@ -92,23 +99,30 @@
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572C600000000000000027F01000000000000010000000000000000000000000100000000C600000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=272
+BottomPanelSize=205
 BottomPanelClients=WatchWindow,MessageView@EditWindow0
-BottomPanelData=00000400010000000B000000576174636857696E646F77FD0200000000000002100100000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E010000000000000100000000FD0200000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D65737361676556696577000300000000000002CD0000000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E010000000000000100000000000300000B000000576174636857696E646F770100000000000300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\Vista\GUI-config\MainU.pas
-CursorX=39
-CursorY=376
-TopLine=364
+CursorX=1
+CursorY=1872
+TopLine=1869
 LeftCol=1
 
 [View1]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
+Module=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
+CursorX=1
+CursorY=3981
+TopLine=3973
+LeftCol=1
+
+[View2]
+Module=P:\Vista\GUI-config\LookupU.pas
 CursorX=11
-CursorY=1117
-TopLine=1111
-LeftCol=1
-
-[View2]
+CursorY=120
+TopLine=110
+LeftCol=1
+
+[View3]
 Module=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
 CursorX=12
@@ -117,5 +131,5 @@
 LeftCol=1
 
-[View3]
+[View4]
 Module=P:\Vista\GUI-config\SubfilesU.pas
 CursorX=5
@@ -124,13 +138,13 @@
 LeftCol=1
 
-[View4]
+[View5]
 Module=P:\Vista\GUI-config\SkinFormU.pas
-CursorX=21
-CursorY=150
-TopLine=140
-LeftCol=1
-
-[View5]
-Module=P:\vista\GUI-config\GUI_Config.dpr
+CursorX=1
+CursorY=170
+TopLine=162
+LeftCol=1
+
+[View6]
+Module=P:\Vista\GUI-config\GUI_Config.dpr
 CursorX=1
 CursorY=66
@@ -138,5 +152,5 @@
 LeftCol=1
 
-[View6]
+[View7]
 Module=P:\Vista\GUI-config\frmSplash.pas
 CursorX=20
@@ -145,31 +159,33 @@
 LeftCol=1
 
-[View7]
+[View8]
 Module=P:\Vista\GUI-config\BatchAddU.pas
-CursorX=1
-CursorY=1
+CursorX=16
+CursorY=16
 TopLine=1
 LeftCol=1
 
 [Watches]
-Count=2
+Count=4
 Watch0='MainMenu.items.count',256,0,18,1,0,'Watches'
 Watch1='tempInfo',256,0,18,1,0,'Watches'
+Watch2='RPCBrokerV.Results.count',256,0,18,1,0,'Watches'
+Watch3='Strings.count',256,0,18,1,0,'Watches'
 
 [WatchWindow]
-WatchColumnWidth=154
+WatchColumnWidth=100
 WatchShowColumnHeaders=1
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=12
 Top=0
-Width=366
-Height=246
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=366
-ClientHeight=246
-TBDockHeight=246
+Width=756
+Height=205
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=756
+ClientHeight=205
+TBDockHeight=205
 LRDockWidth=421
 Dockable=1
@@ -274,5 +290,5 @@
 SplitPos=114
 ArrangeBy=Name
-SelectedItem=Caption
+SelectedItem=OnNeedData
 ExpandedItems=Anchors,Options
 HiddenCategories=Legacy
@@ -478,15 +494,15 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
-State=0
-Left=12
+Visible=0
+State=0
+Left=396
 Top=0
-Width=753
-Height=246
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=753
-ClientHeight=246
-TBDockHeight=246
+Width=372
+Height=122
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=372
+ClientHeight=122
+TBDockHeight=122
 LRDockWidth=443
 Dockable=1