Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk	(revision 473)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.~dsk	(revision 485)
@@ -12,12 +12,36 @@
 
 [Modules]
-Module0=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module1=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module2=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module3=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=4
+Module0=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+Module1=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+Module2=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+Module3=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module4=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module5=P:\Vista\killthis.txt
+Module6=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module7=P:\Vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=8
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Controls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
 ModuleType=SourceModule
@@ -25,5 +49,5 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
+[P:\Vista\killthis.txt]
 ModuleType=SourceModule
 FormState=0
@@ -40,5 +64,5 @@
 FormOnTop=0
 
-[C:\Documents and Settings\e.hagood.TMG\Desktop\DelphiSkins\Examples\FreeformSkin\ProjectGroup1.bpg]
+[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
@@ -49,10 +73,14 @@
 
 [EditWindow0]
-ViewCount=4
-CurrentView=1
+ViewCount=8
+CurrentView=2
 View0=0
 View1=1
 View2=2
 View3=3
+View4=4
+View5=5
+View6=6
+View7=7
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -70,9 +98,9 @@
 LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=00000400010000000C000000436F64654578706C6F72657200000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
+LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
 BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D6573736167655669657700000000000000000000000000000000000100000000000000000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D657373616765566965770103000000000000025500000000000000010000000000000000000000000100000000010300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
@@ -85,17 +113,45 @@
 [View1]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=65
-CursorY=4864
-TopLine=4847
+CursorX=13
+CursorY=3755
+TopLine=3745
 LeftCol=1
 
 [View2]
+Module=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+CursorX=1
+CursorY=301
+TopLine=287
+LeftCol=1
+
+[View3]
+Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+CursorX=1
+CursorY=2785
+TopLine=2771
+LeftCol=1
+
+[View4]
+Module=P:\Vista\killthis.txt
+CursorX=1
+CursorY=157
+TopLine=135
+LeftCol=1
+
+[View5]
 Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
 CursorX=1
-CursorY=5129
-TopLine=5115
-LeftCol=1
-
-[View3]
+CursorY=4460
+TopLine=4436
+LeftCol=1
+
+[View6]
+Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
+CursorX=1
+CursorY=6161
+TopLine=6145
+LeftCol=1
+
+[View7]
 Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
 CursorX=1
@@ -119,9 +175,11 @@
 
 [Watches]
-Count=4
+Count=6
 Watch0='Control',256,0,18,1,0,'Watches'
 Watch1='TabIndex',256,0,18,1,0,'Watches'
 Watch2='FCount',256,0,18,1,0,'Watches'
 Watch3='pageControl',16,0,18,1,0,'Watches'
+Watch4='ALabel',256,0,18,1,0,'Watches'
+Watch5='colorIndex',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -129,8 +187,8 @@
 WatchShowColumnHeaders=1
 Create=1
-Visible=1
-State=0
-Left=184
-Top=555
+Visible=0
+State=0
+Left=26
+Top=330
 Width=885
 Height=260
@@ -144,6 +202,5 @@
 
 [Breakpoints]
-Count=1
-Breakpoint0='P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas',4848,'',0,1,'',1,0,0,'',1,'','',''
+Count=0
 
 [AddressBreakpoints]
@@ -156,9 +213,9 @@
 Left=0
 Top=1
-Width=800
+Width=981
 Height=112
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=792
+ClientWidth=973
 ClientHeight=78
 
@@ -242,5 +299,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=OwnerDraw
+SelectedItem=OnChange
 ExpandedItems=Anchors
 HiddenCategories=Legacy