Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dof
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dof	(revision 472)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dof	(revision 487)
@@ -95,7 +95,7 @@
 PackageDLLOutputDir=
 PackageDCPOutputDir=
-SearchPath=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics
+SearchPath=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics;P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\SkinStuff
 Packages=vcl;rtl;vclx;VclSmp;vclshlctrls;dbrtl;adortl;vcldb;qrpt;bdertl;vcldbx;dsnap;cds;bdecds;teeui;teedb;tee;teeqr;ibxpress;visualclx;visualdbclx;vclie;xmlrtl;inet;inetdbbde;inetdbxpress;inetdb;nmfast;dbexpress;dbxcds;indy;dclOffice2k;soaprtl;XWB_R60
-Conditionals=MSWINDOWS
+Conditionals=MSWINDOWS;USE_SKINS
 DebugSourceDirs=P:\Vista\tmg-cprs\dklang-package-3.01\
 UsePackages=0
@@ -135,26 +135,31 @@
 ProductVersion=1.0.0.0
 Comments=1.0.26.76
+[HistoryLists\hlDebugSourcePath]
+Count=1
+Item0=P:\Vista\tmg-cprs\dklang-package-3.01\
 [HistoryLists\hlConditionals]
-Count=1
-Item0=MSWINDOWS
+Count=2
+Item0=MSWINDOWS;USE_SKINS
+Item1=MSWINDOWS
 [HistoryLists\hlUnitAliases]
 Count=1
 Item0=WinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE;
 [HistoryLists\hlSearchPath]
-Count=14
-Item0=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics
-Item1=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source
-Item2=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01
-Item3=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib
-Item4=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages
-Item5=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU
-Item6=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu
-Item7=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI
-Item8=$(DELPHI)\Lib\Debug;C:\Program Files\Borland\Delphi7\Source\Rtl\Sys;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI
-Item9=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI;C:\Program Files\Borland\Delphi7\Source\Rtl\Sys
-Item10=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU
-Item11=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib
-Item12=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib
-Item13=C:\Vista\cprs\OR_3_215V26_69\CPRS-Lib
+Count=15
+Item0=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics;P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\SkinStuff
+Item1=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source;P:\Vista\tmg-cprs\TPNGGraphics
+Item2=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01;P:\Vista\tmg-cprs\TntWare\Delphi Unicode Controls\Source
+Item3=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib;P:\Vista\tmg-cprs\dklang-package-3.01
+Item4=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages;P:\Vista\tmg-cprs\CPRS-Lib
+Item5=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU;P:\Vista\tmg-cprs\Packages
+Item6=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu;P:\Vista\tmg-cprs\CPRS-Lib\DCU
+Item7=$(DELPHI)\Lib\Debug;$(DELPHI)\Source\ToolsAPI;P:\Vista\tmg-cprs\CPRS-Chart;P:\Vista\tmg-cprs\CPRS-Chart\dcu
+Item8=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI
+Item9=$(DELPHI)\Lib\Debug;C:\Program Files\Borland\Delphi7\Source\Rtl\Sys;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI
+Item10=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU;$(DELPHI)\Source\ToolsAPI;C:\Program Files\Borland\Delphi7\Source\Rtl\Sys
+Item11=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Chart;C:\Vista\cprs\OR_3_270V26_69\CPRS-Chart\DCU
+Item12=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib;C:\Program Files\Borland\Delphi7\Projects\OR_SRC_CREATION FILE 12 06 06 OR_3_270\OR_SRC_CREATION\CPRS-Lib
+Item13=$(DELPHI)\Lib\Debug;C:\Vista\cprs\OR_3_270V26_69\CPRS-Lib
+Item14=C:\Vista\cprs\OR_3_215V26_69\CPRS-Lib
 [HistoryLists\hlUnitOutputDirectory]
 Count=3