Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 487)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 489)
@@ -1,5 +1,5 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,66,1,76,0,0
-File_1=SourceModule,'P:\vista\GUI-config\MainU.pas',0,1,1958,20,1985,0,0
+File_0=SourceModule,'P:\vista\GUI-config\MainU.pas',0,1,2129,1,2134,1,0
+File_1=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,66,1,76,0,0
 File_2=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas',0,1,348,1,359,0,0
 File_3=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas',0,1,219,36,232,0,0
@@ -12,16 +12,67 @@
 
 [Modules]
-Module0=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+Module0=c:\program files\borland\delphi7\source\rtl\common\classes.pas
 Module1=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-Module3=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module4=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module5=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module6=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-Module7=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=8
+Module2=c:\program files\borland\delphi7\source\vcl\Forms.pas
+Module3=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module4=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module5=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Module6=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
+Module7=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
+Module8=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
+Module9=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+Module10=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+Module11=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+Module12=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
+Module13=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
+Count=14
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Forms.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Controls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Win\Windows.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
 [P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
 ModuleType=SourceModule
@@ -29,20 +80,5 @@
 FormOnTop=0
 
-[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Controls.pas]
+[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
 ModuleType=SourceModule
 FormState=0
@@ -54,10 +90,10 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
+[c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas]
 ModuleType=SourceModule
 FormState=0
@@ -72,7 +108,19 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
 [EditWindow0]
-ViewCount=8
-CurrentView=3
+ViewCount=14
+CurrentView=10
 View0=0
 View1=1
@@ -83,4 +131,10 @@
 View6=6
 View7=7
+View8=8
+View9=9
+View10=10
+View11=11
+View12=12
+View13=13
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -88,11 +142,11 @@
 Visible=1
 State=0
-Left=213
+Left=271
 Top=128
-Width=777
+Width=719
 Height=588
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=769
+ClientWidth=711
 ClientHeight=554
 LeftPanelSize=0
@@ -102,28 +156,49 @@
 BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D65737361676556696577010300000000000002550000000000000001000000000000000000000000010000000001030000000000000100000000010300000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D65737361676556696577C7020000000000000255000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C70200000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
 CursorX=1
-CursorY=1
-TopLine=1
+CursorY=351
+TopLine=334
 LeftCol=1
 
 [View1]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=35
-CursorY=830
-TopLine=818
+CursorX=17
+CursorY=572
+TopLine=553
 LeftCol=1
 
 [View2]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
+CursorX=8
+CursorY=102
+TopLine=44
+LeftCol=1
+
+[View3]
 Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-CursorX=26
-CursorY=213
-TopLine=199
-LeftCol=1
-
-[View3]
+CursorX=1
+CursorY=454
+TopLine=451
+LeftCol=1
+
+[View4]
+Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+CursorX=1
+CursorY=8638
+TopLine=8623
+LeftCol=1
+
+[View5]
+Module=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
+CursorX=1
+CursorY=365
+TopLine=345
+LeftCol=1
+
+[View6]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
 CursorX=1
@@ -132,12 +207,12 @@
 LeftCol=1
 
-[View4]
+[View7]
 Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
 CursorX=1
-CursorY=2785
-TopLine=2771
-LeftCol=1
-
-[View5]
+CursorY=3415
+TopLine=3401
+LeftCol=1
+
+[View8]
 Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
 CursorX=1
@@ -146,16 +221,37 @@
 LeftCol=1
 
-[View6]
+[View9]
 Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
 CursorX=1
-CursorY=6161
-TopLine=6145
-LeftCol=1
-
-[View7]
+CursorY=6369
+TopLine=6343
+LeftCol=1
+
+[View10]
 Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
 CursorX=1
-CursorY=2825
-TopLine=2817
+CursorY=5707
+TopLine=5693
+LeftCol=1
+
+[View11]
+Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
+CursorX=29
+CursorY=6866
+TopLine=6858
+LeftCol=1
+
+[View12]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
+CursorX=1
+CursorY=954
+TopLine=932
+LeftCol=1
+
+[View13]
+Module=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
+CursorX=1
+CursorY=30104
+TopLine=30090
 LeftCol=1
 
@@ -175,5 +271,5 @@
 
 [Watches]
-Count=6
+Count=9
 Watch0='Control',256,0,18,1,0,'Watches'
 Watch1='TabIndex',256,0,18,1,0,'Watches'
@@ -182,4 +278,7 @@
 Watch4='ALabel',256,0,18,1,0,'Watches'
 Watch5='colorIndex',256,0,18,1,0,'Watches'
+Watch6='GetCapture',256,0,18,1,0,'Watches'
+Watch7='FOnException',8,0,18,1,0,'Watches'
+Watch8='E',16,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -187,5 +286,5 @@
 WatchShowColumnHeaders=1
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=26
@@ -202,5 +301,12 @@
 
 [Breakpoints]
-Count=0
+Count=7
+Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr',354,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint1='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',942,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint2='c:\program files\borland\delphi7\source\vcl\Controls.pas',6243,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint3='c:\program files\borland\delphi7\source\vcl\Forms.pas',6998,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint4='c:\program files\borland\delphi7\source\vcl\Forms.pas',7000,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint5='c:\program files\borland\delphi7\source\vcl\Forms.pas',6982,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint6='P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas',606,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -211,6 +317,6 @@
 Visible=1
 State=0
-Left=0
-Top=1
+Left=12
+Top=16
 Width=981
 Height=112
@@ -256,6 +362,6 @@
 Visible=0
 State=0
-Left=0
-Top=12
+Left=3
+Top=199
 Width=800
 Height=561
@@ -299,5 +405,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=OnKeyPress
+SelectedItem=OnException
 ExpandedItems=Anchors
 HiddenCategories=Legacy
@@ -329,12 +435,12 @@
 Visible=1
 State=0
-Left=42
-Top=403
-Width=874
-Height=210
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=866
-ClientHeight=184
+Left=35
+Top=431
+Width=502
+Height=295
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=494
+ClientHeight=269
 TBDockHeight=355
 LRDockWidth=233
@@ -507,9 +613,9 @@
 Left=12
 Top=0
-Width=757
+Width=699
 Height=85
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=757
+ClientWidth=699
 ClientHeight=85
 TBDockHeight=85